OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class GrowlNotificationStrategy

    java.lang.Object
      org.opennms.netmgt.notifd.GrowlNotificationStrategy

All Implemented Interfaces:
  NotificationStrategy

public class GrowlNotificationStrategy
extends java.lang.Object
implements NotificationStrategy

Implements NotificationStrategy pattern used to send notifications using the Growl message protocol. This is basically a clone of the XMPP implementation.

Author:
  Benjamin Reed

Field Summary
`private static int` `Growl_MAX` The value of this constant indicates the number of Growl constants defined.
`private static int` `Growl_MESSAGE` Text of Growl Message to be sent.
`private static int` `Growl_SUBJECT`
`private static int` `Growl_UEI`
`private static java.lang.String[]` `INDEX_TO_NAME` Mapping of index values to meaningful strings.
`private org.apache.log4j.Category` `log`
`private java.util.Properties` `props`

Constructor Summary
`GrowlNotificationStrategy()`

Method Summary
`private java.lang.String[]` `parseArguments(java.util.List arguments)` This method extracts the message text from the parameters passed in the notification.
`int` `send(java.util.List arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Growl_MESSAGE

    private static final int Growl_MESSAGE

  Text of Growl Message to be sent.

### Growl_UEI

    private static final int Growl_UEI

### Growl_SUBJECT

    private static final int Growl_SUBJECT

### Growl_MAX

    private static final int Growl_MAX

  The value of this constant indicates the number of Growl constants defined.

### INDEX_TO_NAME

    private static final java.lang.String[] INDEX_TO_NAME

  Mapping of index values to meaningful strings.

### props

    private java.util.Properties props

### log

    private org.apache.log4j.Category log

Constructor Detail

### GrowlNotificationStrategy

    public GrowlNotificationStrategy()

Method Detail

### send

    public int send(java.util.List arguments)

  Specified by:
    `send` in interface `NotificationStrategy`

### parseArguments

    private java.lang.String[] parseArguments(java.util.List arguments)
                                       throws java.lang.Exception

  This method extracts the message text from the parameters passed in the notification.

  Parameters:
    `arguments` -
  Returns:
    String[]
  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.